#include<bits/stdc++.h>
using namespace std;
vector<int> sub(vector<int> v,long long a){
    int vs=v.size();
    int ost=0;
    for(int i=0;true;i++){
        v[i]+=a;
        a=v[i]/10;
        if(v[i]>9) v[i]%=10;
        if(a==0) break;
        else if(i==vs-1){
            v.push_back(0);
            vs++;
        }
    }
    return v;
}
int n,a[100000],b[100000];
vector<int> v1;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>a[i]>>b[i];
    }
    v1.push_back(0);
    for(int i=0;i<n-1;i++){
        for(int i1=i+1;i1<n;i1++){
            long long ng=max(a[i],a[i1]),nm=min(a[i],a[i1]);
            long long ng1=max(b[i],b[i1]),nm1=min(b[i],b[i1]),l;
            l=(ng-nm)*(ng-nm)+(ng1-nm1)*(ng1-nm1);
            v1=sub(v1,l);
        }
    }
    for(int i=v1.size()-1;i>=0;i--){
        cout<<v1[i];
    }
    cout<<"\n";
    return 0;
}

